Zum Hauptinhalt springen
POST
/
automation
/
v4
/
actions
/
callbacks
/
{callbackId}
/
complete
Completes a callback
curl --request POST \
  --url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "outputFields": {},
  "typedOutputs": {},
  "failureReasonType": "<string>",
  "requestContext": {
    "source": "WORKFLOWS",
    "workflowId": 123,
    "actionId": 123
  }
}
'
This response has no body data.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

callbackId
string
erforderlich

Body

application/json
outputFields
object
erforderlich

Contains the output fields associated with the callback, with each field represented as a key-value pair.

typedOutputs
object
erforderlich

Holds the typed outputs related to the callback, structured as an object.

failureReasonType
string

Indicates the reason for the failure of a callback completion.

requestContext
WORKFLOWS · object

Specifies the context in which the request is made, which can be one of several predefined contexts.

Antwort

Last modified on April 9, 2026